Bug 213995 - hald-addon-storage polling of CD degrades performance of harddrive on Dell laptop
hald-addon-storage polling of CD degrades performance of harddrive on Dell la...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
https://bugzilla.redhat.com/bugzilla/...
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-04 07:46 EST by quintesse
Modified: 2013-03-05 22:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 20:27:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of lshal (79.88 KB, text/plain)
2006-11-04 07:46 EST, quintesse
no flags Details
lshal output from dell inspiron 8200 (71.08 KB, text/plain)
2007-02-12 10:42 EST, Brian King
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 138148 None None None Never

  None (edit)
Description quintesse 2006-11-04 07:46:56 EST
Description of problem:

EXACTLY the same as in this bugreport for FC3:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=138148

I have no idea if this is a regression or if it was never fixed. In the report
they talk about black-listing Dell/Laptop CD rom drives but either that was
never done or it was taken out again. (lshal shows that the media check is
enabled for the CD drive)

Version-Release number of selected component (if applicable):

hal-0.5.8.1-4.fc

How reproducible:

Always

Steps to Reproduce:
1. Run hdparm -t /dev/hdb
2. Kill hald-addon-storage
3. Run hdparm again
  
Actual results:

Transfer rate between 8 and 15 MB/s

Expected results:

Transfer rate over 32MB/s

Additional info:
Comment 1 quintesse 2006-11-04 07:46:56 EST
Created attachment 140352 [details]
Output of lshal
Comment 2 Brian King 2007-02-12 10:42:39 EST
Created attachment 147903 [details]
lshal output from dell inspiron 8200
Comment 3 Brian King 2007-02-12 10:46:38 EST
I can confirm this bug is back and affects ubuntu edgy 6.10 as well.
This is using hal 0.5.7.1.

I've attached the output of lshal after trying the past options that would
disable checking of the drive. They no longer seem to stop the probing.

Details on the bug are also on the ubuntuforums at:

http://ubuntuforums.org/showpost.php?p=2144464&postcount=19

I'd also request that the severity be upgraded to high and that the status moved
to confirmed.
 
Comment 4 Bug Zapper 2008-04-04 00:25:08 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 quintesse 2008-04-04 13:40:23 EDT
The laptop is currently running FC7 and I definitely had to manually patch the
rules to disable the media check. But the laptop isn't available to me anymore
so I won't be able to help with testing, nor can I upgrade it to F8 (or newer).
Comment 6 John Poelstra 2008-04-09 20:27:14 EDT
Thanks for the update.

Note You need to log in before you can comment on or make changes to this bug.